function [SWCpt]=upravaQRS(SWC,x,org,zac_QRS,kon_QRS,tep,fvz)
         
 for i=1:length(kon_QRS)
     
        m = min(abs(kon_QRS(i)-zac_QRS));
        if (kon_QRS(i)-m)>0 && (kon_QRS(i))<length(x)
            if (x((kon_QRS(i)-m))>0 && x((kon_QRS(i)))>0) || (x((kon_QRS(i)-m))<0 && x((kon_QRS(i)))<0)
                krok = (x(kon_QRS(i))-x(kon_QRS(i)-m))/m;
            else
                krok = (x(kon_QRS(i))+x(kon_QRS(i)-m))/m;
            end
     
            if x(kon_QRS(i)-m)>x(kon_QRS(i))
                for k=1:m
                    x(kon_QRS(i)-m+k)=floor(x(kon_QRS(i)-m)-(krok*k));
                end
            else
                for k=1:m
                    x(kon_QRS(i)-m+k)=floor(x(kon_QRS(i)-m)+(krok*k));
                end
            end
        elseif (kon_QRS(i))<length(x)
            m = min(abs(kon_QRS(i)-1));
            if (x(1)>0 && x((kon_QRS(i)))>0) || (x(1)<0 && x((kon_QRS(i)))<0)
                krok = (x(kon_QRS(i))-x(1))/m;
            else
                krok = (x(kon_QRS(i))+x(1))/m;
            end
     
            if x(1)>x(kon_QRS(i))
                for k=1:m
                    x(1+k)=floor(x(1)-(krok*k));
                end
            else
                for k=1:m
                    x(1+k)=floor(x(1)+(krok*k));
                end
            end
        end
        
     
 end
 
 SWC = swt(x,5,'bior1.5');
 SWCpt=SWC(5,:);
 

 
 
 